package com.example.tdl.service;

import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserService {
    @Autowired
    private UserMapper userMapper;

    public int login(LoginUserVo loginUserVo){
        return userMapper.login(loginUserVo);
    }

    public UserVo getByUserName(String userName){
        return userMapper.getByUserName(userName);
    }

    public List<ResultUserVo> getAll(){
        return userMapper.getAll();
    }

    public List<ResultUserVo> getByTerm(UserTermVo userTermVo){
        return userMapper.getByTerm(userTermVo);
    }

    public ResultUserVo getByPhone(String phone){
        return userMapper.getByPhone(phone);
    }

    public ResultUserVo getByEmail(String email){
        return userMapper.getByEmail(email);
    }

    public ResultUserVo getByUserNumber(String userNumber){
        return userMapper.getByUserNumber(userNumber);
    }

    public int addUser(AddUserVo addUserVo){
        return userMapper.addUser(addUserVo);
    }

    public int updateUser(UpdateUserVo userVo){
        return userMapper.updateUser(userVo);
    }

    public int delUser(String userNumber){
        return userMapper.delUser(userNumber);
    }

    public int resetPassword(String userNumber,String password){
        return userMapper.resetPassword(userNumber,password);
    }
}
