package com.example.tdl.shiro;

import com.example.tdl.domain.vo.UserVo;
import com.example.tdl.service.UserService;
import org.apache.shiro.authc.*;
import org.apache.shiro.authz.AuthorizationInfo;
import org.apache.shiro.authz.SimpleAuthorizationInfo;
import org.apache.shiro.realm.AuthorizingRealm;
import org.apache.shiro.subject.PrincipalCollection;
import org.springframework.beans.factory.annotation.Autowired;

public class AuthRealm extends AuthorizingRealm{
    @Autowired
    private UserService userService;

    protected AuthenticationInfo doGetAuthenticationInfo(AuthenticationToken token) throws AuthenticationException {
        System.out.println("....认证....");
        //1 强转token
        UsernamePasswordToken upToken = (UsernamePasswordToken) token;
        //2 根据用户名查找用户信息
        UserVo user = userService.getByUserName(upToken.getUsername());
        if(user==null){
            return null;
        }
        SimpleAuthenticationInfo info = new SimpleAuthenticationInfo(user, user.getPassword(),this.getName());
        return info;
    }

    protected AuthorizationInfo doGetAuthorizationInfo(PrincipalCollection principals) {
        // 授权
        //1 获取当前登录用户
        UserVo user = (UserVo) principals.fromRealm(this.getName()).iterator().next();
        //2 获取用户的角色
        //Set<Role> roles = user.getRoles();
        //定义接收module的结果集
        // List<String> list = new ArrayList<String>();

        //3 遍历角色，获取每个角色对应的访问权限
        //for(Role r:roles){

        //}
        // 4返回AuthorizationInfo信息
        SimpleAuthorizationInfo info = new SimpleAuthorizationInfo();
        //添加list信息
        //info.addStringPermissions(list);

        //return info;
                return null;
    }
}
